package com.yihu.wlyy.entity.doctor.observer;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Administrator on 2017/1/3.
 */

@Entity
@Table(name = "wlyy_doctor_observer")
public class DoctorObserver extends IdEntity {

    private String observerDoctorCode;//被观察者的医生Code
    private String observerDoctorName;//被观察者的医生name
    private String doctorCode;//观察者的医生code
    private String doctorName;//观察者的医生name
    private Date createTime;//创建时间
    private String createUser;//创建人
    private Integer status;//1有效 0无效

    public String getObserverDoctorCode() {
        return observerDoctorCode;
    }

    public void setObserverDoctorCode(String observerDoctorCode) {
        this.observerDoctorCode = observerDoctorCode;
    }

    public String getObserverDoctorName() {
        return observerDoctorName;
    }

    public void setObserverDoctorName(String observerDoctorName) {
        this.observerDoctorName = observerDoctorName;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
